#
# spec file for package phraze
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           phraze
Version:        0.3.17
Release:        1.1
Summary:        Generate random passphrases
License:        MPL-2.0
URL:            https://github.com/sts10/phraze
Source0:        phraze-%{version}.tar.xz
Source1:        vendor.tar.xz
BuildRequires:  cargo-packaging
ExclusiveArch:  %{rust_tier1_arches}

%description
Generate random passphrases

%prep
%autosetup -a1 -n phraze-%{version}
mkdir -p .cargo

%build
%{cargo_build}

%install
%{cargo_install}

%check
%{cargo_test}

%files
%{_bindir}/phraze
%license LICENSE.txt
%doc CHANGELOG.markdown

%changelog
* Thu Nov 28 2024 felix.niederwanger@suse.de
- Update to version 0.3.17:
  * update and re-configure cargo-dist to (hopefully) create a musl binary
  * a few small fixes in the reame
  * small formatting tweaks to readme
  * update internal version
  * add ability to check licenses with cargo deny
* Tue Sep 24 2024 felix.niederwanger@suse.de
- Update to version 0.3.15:
  * update CHANGELOG in preparation for new release
  * upgrade dependencies and version of cargo-dist used to build releases
* Thu Aug 15 2024 felix.niederwanger@suse.de
- Update to version 0.3.14:
  * update CHANGELOG
  * bumps phraze version
  * upgrades calp dependency
  * updates CHANGLEOG
* Wed Jul 31 2024 felix.niederwanger@suse.com
- Update to version 0.3.13:
  * bumps cargo-dist version and internal version
  * feat: add man pages and shell completions
  * better wording of the features in readme
* Mon Jul  8 2024 felix.niederwanger@suse.de
- Update to version 0.3.12:
  * updates changelog in preparation for v0.3.12 release
  * add nix section to readme
  * add repology badge
  * swaps 'herald' for 'vintage' on the medium Orchard Street list (sorry for all these commits that are just a few word swaps
  * removes niche medical word 'hepatic' from long list
  * adds a new badge to top of README showing number of downloads from crates.io, now that it's approaching 2,000
  * fix bash script for copying outputted passphraze to clipboard on Linux
  * add note about doing work on the 'delevop' git branch between releases to the readme
  * upgrades cargo-dist in preparation for next release
  * add back in a few words of a restricted list
  * remove confusing variants of the word 'acknowledge'
  * add word 'radicals' back to orchard street lists. Also some spacing clean-ups in help text
* Mon Jul  8 2024 felix.niederwanger@suse.de
- Update to version 0.3.11:
  * add a line to CHANGELOG
  * update changelog
  * fixes some inconsistencies in help text
  * update changelog in preparation for v0.3.11 release
  * bump version
  * remove abbreviation 'comm' from some included word lists
  * adds a justfile to gitignore
* Mon Jul  1 2024 Felix Niederwanger <felix.niederwanger@suse.de>
- Kickoff with version v.3.10
